perl-modperl-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject cvs commit: modperl-2.0 Makefile.PL Changes
Date Mon, 07 Apr 2003 23:23:24 GMT
stas        2003/04/07 16:23:24

  Modified:    .        Makefile.PL Changes
  Log:
  Require perl 5.8 or higher when building mod_perl on OSes requiring
  ithreads (e.g., win32), since 5.6.x ithreads aren't good.
  
  Revision  Changes    Path
  1.100     +4 -0      modperl-2.0/Makefile.PL
  
  Index: Makefile.PL
  ===================================================================
  RCS file: /home/cvs/modperl-2.0/Makefile.PL,v
  retrieving revision 1.99
  retrieving revision 1.100
  diff -u -r1.99 -r1.100
  --- Makefile.PL	27 Mar 2003 05:22:26 -0000	1.99
  +++ Makefile.PL	7 Apr 2003 23:23:24 -0000	1.100
  @@ -41,6 +41,10 @@
       unless (Apache::Build::HAS_ITHREADS()) {
   	die "your system requires an ithreads enabled Perl";
       }
  +    # 5.6.x ithreads aren't good
  +    unless ($] >= 5.008) {
  +        die "Perl 5.8 or higher w/ ithreads is required. This is only Perl $]";
  +    }
   }
   
   perl_version_check();
  
  
  
  1.166     +3 -0      modperl-2.0/Changes
  
  Index: Changes
  ===================================================================
  RCS file: /home/cvs/modperl-2.0/Changes,v
  retrieving revision 1.165
  retrieving revision 1.166
  diff -u -r1.165 -r1.166
  --- Changes	7 Apr 2003 05:01:48 -0000	1.165
  +++ Changes	7 Apr 2003 23:23:24 -0000	1.166
  @@ -10,6 +10,9 @@
   
   =item 1.99_09-dev
   
  +Require perl 5.8 or higher when building mod_perl on OSes requiring
  +ithreads (e.g., win32), since 5.6.x ithreads aren't good. [Stas]
  +
   MP_COMPAT_1X=0 now can be passed to Makefile.PL to disable
   mp1-back-compat compile-time features + adjust tests. [Stas]
   
  
  
  

Mime
View raw message